Open SCAP Library

Data Structures | Macros | Enumerations | Functions | Variables
cvss_priv.h File Reference

Interface to Common Vulnerability Scoring System Version 2. More...

`#include <stdlib.h>`
`#include <libxml/xmlreader.h>`
`#include <libxml/xmlwriter.h>`
`#include "public/cvss_score.h"`
`#include "common/util.h"`

Go to the source code of this file.

## Data Structures
struct | cvss_impact
| CVSS impact. More...
struct | cvss_metrics
| CVSS metrics. More...

## Macros
#define | CVSSMAX(a, b) ((a) > (b) ? (a) : (b))
#define | CVSS_CATEGORY(key) ((key) & ~0xff)
#define | CVSS_KEY_IDX(key) ((key) & 0xff)

## Enumerations
enum | cvss_key { CVSS_KEY_NONE = CVSS_NONE, CVSS_KEY_access_vector = CVSS_BASE, CVSS_KEY_access_complexity, CVSS_KEY_authentication, CVSS_KEY_confidentiality_impact, CVSS_KEY_integrity_impact, CVSS_KEY_availability_impact, CVSS_KEY_BASE_END_, CVSS_KEY_BASE_NUM = CVSS_KEY_BASE_END_ - CVSS_BASE, CVSS_KEY_exploitability = CVSS_TEMPORAL, CVSS_KEY_remediation_level, CVSS_KEY_report_confidence, CVSS_KEY_TEMPORAL_END_, CVSS_KEY_TEMPORAL_NUM = CVSS_KEY_TEMPORAL_END_ - CVSS_TEMPORAL, CVSS_KEY_collateral_damage_potential = CVSS_ENVIRONMENTAL, CVSS_KEY_target_distribution, CVSS_KEY_confidentiality_requirement, CVSS_KEY_integrity_requirement, CVSS_KEY_availability_requirement, CVSS_KEY_ENVIRONMENTAL_END_, CVSS_KEY_ENVIRONMENTAL_NUM = CVSS_KEY_ENVIRONMENTAL_END_ - CVSS_ENVIRONMENTAL }

## Functions
struct cvss_impact * | cvss_impact_new_from_xml (xmlTextReaderPtr reader)
bool | cvss_impact_export (const struct cvss_impact *imp, xmlTextWriterPtr writer)
struct cvss_metrics * | cvss_metrics_new_from_xml (xmlTextReaderPtr reader)
bool | cvss_metrics_export (const struct cvss_metrics *m, xmlTextWriterPtr writer)

## Variables
| OSCAP_HIDDEN_START
| OSCAP_HIDDEN_END

## Detailed Description

Interface to Common Vulnerability Scoring System Version 2.

See details at http://nvd.nist.gov/cvss.cfm